Index: src/backend/Makefile
===================================================================
RCS file: /projects/cvsroot/pgsql/src/backend/Makefile,v
retrieving revision 1.108
diff -c -r1.108 Makefile
*** src/backend/Makefile	26 Jan 2005 21:55:26 -0000	1.108
--- src/backend/Makefile	27 Jul 2005 21:14:09 -0000
***************
*** 83,89 ****
  	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS) -Wl,-bE:$(top_builddir)/src/backend/$(POSTGRES_IMP) $(LIBS) -o $@
  
  $(POSTGRES_IMP): $(OBJS)
! 	$(LD) $(LDREL) $(LDOUT) SUBSYS.o $^
  ifeq ($(host_os), aix3.2.5)
  	$(MKLDEXPORT) SUBSYS.o $(bindir)/postgres > $@
  else
--- 83,89 ----
  	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS) -Wl,-bE:$(top_builddir)/src/backend/$(POSTGRES_IMP) $(LIBS) -o $@
  
  $(POSTGRES_IMP): $(OBJS)
! 	$(LD) $(LDREL) $(LDOUT) SUBSYS.o $^ $(top_builddir)/src/port/libpgport.a
  ifeq ($(host_os), aix3.2.5)
  	$(MKLDEXPORT) SUBSYS.o $(bindir)/postgres > $@
  else
Index: src/port/getopt_long.c
===================================================================
RCS file: /projects/cvsroot/pgsql/src/port/getopt_long.c,v
retrieving revision 1.3
diff -c -r1.3 getopt_long.c
*** src/port/getopt_long.c	29 Nov 2003 19:52:13 -0000	1.3
--- src/port/getopt_long.c	27 Jul 2005 21:14:11 -0000
***************
*** 48,53 ****
--- 48,57 ----
  #define BADARG	':'
  #define EMSG	""
  
+ #ifndef HAVE_INT_OPTRESET
+ int optreset;
+ #endif
+ 
  int
  getopt_long(int argc, char *const argv[],
  			const char *optstring,
Index: src/test/regress/GNUmakefile
===================================================================
RCS file: /projects/cvsroot/pgsql/src/test/regress/GNUmakefile,v
retrieving revision 1.51
diff -c -r1.51 GNUmakefile
*** src/test/regress/GNUmakefile	25 Jul 2005 00:58:27 -0000	1.51
--- src/test/regress/GNUmakefile	27 Jul 2005 21:14:11 -0000
***************
*** 56,62 ****
  NAME = regress
  SO_MAJOR_VERSION= 0
  SO_MINOR_VERSION= 0
! OBJS = regress.o pgsleep.o
  SHLIB_LINK = $(BE_DLLLIBS)
  
  include $(top_srcdir)/src/Makefile.shlib
--- 56,62 ----
  NAME = regress
  SO_MAJOR_VERSION= 0
  SO_MINOR_VERSION= 0
! OBJS = regress.o
  SHLIB_LINK = $(BE_DLLLIBS)
  
  include $(top_srcdir)/src/Makefile.shlib
***************
*** 67,82 ****
  	rm -f $(NAME)$(DLSUFFIX)
  	$(LN_S) $(shlib) $(NAME)$(DLSUFFIX)
  
- # regress.so needs pg_usleep, which on some platforms can't be linked
- # from the main backend (though I'd sure like to know why not).
- # We can't incorporate libpgport directly either, since it's not built
- # with appropriate options to build a shared lib.  Instead,
- # symlink the source file in here and build our own object file.
- 
- pgsleep.c: % : $(top_srcdir)/src/port/%
- 	rm -f $@ && $(LN_S) $< .
- 
- 
  # Build test input and expected files
  
  file_list := copy create_function_1 create_function_2 misc constraints tablespace
--- 67,72 ----
